slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPCISSSetThreshold

Sets the values of various threshold parameters in the CISS solver.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCISSSetThreshold(PEP pep,PetscReal delta,PetscReal spur)

Logically Collective

### Input Parameters

| pep | - the polynomial eigensolver context
| delta | - threshold for numerical rank
| spur | - spurious threshold (to discard spurious eigenpairs)

### Options Database Keys

| -pep_ciss_delta | - Sets the delta
| -pep_ciss_spurious_threshold | - Sets the spurious threshold

### See Also

PEPCISSGetThreshold()

### Level

advanced

### Location

src/pep/impls/ciss/pciss.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages